import { AnchorHTMLAttributes, ButtonHTMLAttributes, DetailedHTMLProps, FC } from "react";
import { IconName, RenderLink } from "../types";
export declare type ListItemType = "Link" | "Action";
interface ListItemBaseProps {
    icon?: FC | IconName;
    showType?: boolean;
    disabled?: boolean;
    index: number;
}
export interface LinkProps extends ListItemBaseProps, DetailedHTMLProps<AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement> {
    renderLink?: RenderLink;
    index: number;
}
export declare function Link({ renderLink: localRenderLink, disabled, showType, className, children, index, icon, ...rest }: LinkProps): JSX.Element;
export interface ButtonProps extends ListItemBaseProps, DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> {
    index: number;
}
export declare function Button({ showType, className, children, index, icon, ...rest }: ButtonProps): JSX.Element;
export default function ListItem(props: ButtonProps & LinkProps): JSX.Element;
export {};
